## kwallet-pam 6.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(pam_kwallet)
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
set(PROJECT_VERSION "6.5.1")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package (ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" )

include(CheckFunctionExists)
include(KDEInstallDirs)
include(KDEClangFormat)
include(ECMConfiguredInstall)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package(PAM REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBGCRYPT REQUIRED IMPORTED_TARGET libgcrypt)

find_program(SOCAT_EXECUTABLE socat)

if (SOCAT_EXECUTABLE)
  message (STATUS "Found socat executable: ${SOCAT_EXECUTABLE}")
else ()
  message (WARNING "socat is required for pam_kwallet to work")
endif ()

include_directories (
   ${PAM_INCLUDE_DIR}
   ${CMAKE_BINARY_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
)

ecm_set_disabled_deprecation_versions(QT 6.9.0
    KF 6.16.0
)

set(library_name "pam_kwallet5")

set(pam_kwallet_SRCS
   pam_kwallet.c
)

if (NOT KWALLETD_BIN_PATH)
  message (STATUS "KWALLETD_BIN_PATH not set, trying KF6::Wallet")
  find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Wallet
  )
endif ()

add_definitions(-DKWALLETD_BIN_PATH="${KWALLETD_BIN_PATH}")

if (APPLE)
LIST(APPEND pam_kwallet_SRCS
   pam_darwin.c
)
endif()

# Handle different PAM header styles:
#  - "Linux style" has pam_ext.h
#  - "BSD style" has pam_appl.h
#
find_file(PAM_EXT_PATH security/pam_ext.h)
find_file(PAM_APPL_PATH security/pam_appl.h)
if (PAM_EXT_PATH)
    add_definitions(-DHAVE_PAM_EXT)
endif()
if (PAM_APPL_PATH)
    add_definitions(-DHAVE_PAM_APPL)
endif()

set(CMAKE_REQUIRED_INCLUDES "string.h")
check_function_exists(explicit_bzero HAVE_EXPLICIT_BZERO)
set(CMAKE_REQUIRED_INCLUDES)

if (HAVE_EXPLICIT_BZERO)
    add_definitions(-DHAVE_EXPLICIT_BZERO)
endif()

add_library (${library_name} SHARED ${pam_kwallet_SRCS})
set_target_properties (${library_name} PROPERTIES PREFIX "")
target_link_libraries (${library_name}
   ${PAM_LIBRARIES}
   PkgConfig::LIBGCRYPT
)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

install(TARGETS ${library_name} DESTINATION ${KDE_INSTALL_LIBDIR}/security)

configure_file(pam_kwallet_init.desktop.cmake ${CMAKE_BINARY_DIR}/pam_kwallet_init.desktop)

install(PROGRAMS pam_kwallet_init DESTINATION ${KDE_INSTALL_LIBEXECDIR})

install(FILES ${CMAKE_BINARY_DIR}/pam_kwallet_init.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

ecm_install_configured_files(INPUT plasma-kwallet-pam.service.in @ONLY DESTINATION
        ${KDE_INSTALL_SYSTEMDUSERUNITDIR})

=== debian/changelog ===
kwallet-pam (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:46:26 +0000

kwallet-pam (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:37:08 +0100

=== debian/control ===
Source: kwallet-pam
Section: admin
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.18.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libkf6wallet-dev (>= 6.18.0~),
               libpam0g-dev,
               libxkbcommon-dev,
               pkgconf,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kwallet-pam
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
Rules-Requires-Root: no

Package: libpam-kwallet-common
Architecture: all
Depends: socat, ${misc:Depends},
Description: KWallet integration with PAM (common files)
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a the common files needed by all versions
 of the PAM integration.

Package: libpam-kwallet5
Architecture: any
Depends: libpam-kwallet-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KWallet integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

## kwallet-pam 6.5.1+p24.04+vstable+git20251029.0701

=== debian/changelog ===
kwallet-pam (4:6.5.1+p24.04+vstable+git20251029.0701-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:01:56 +0000

kwallet-pam (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:48:01 +0000

## kwallet-pam 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(pam_kwallet)
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
kwallet-pam (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:23:03 +0100

kwallet-pam (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:08:44 +0100

=== debian/control ===
Source: kwallet-pam
Section: admin
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libkf6wallet-dev (>= 6.18.0~),
               libpam0g-dev,
               libxkbcommon-dev,
               pkgconf,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kwallet-pam
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git

Package: libpam-kwallet-common
Architecture: all
Depends: socat,
         ${misc:Depends},
Description: KWallet integration with PAM (common files)
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a the common files needed by all versions
 of the PAM integration.

Package: libpam-kwallet5
Architecture: any
Depends: kwallet6,
         libpam-kwallet-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KWallet integration with PAM
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 This package provides a simple PAM integration for KWallet, so you can log in
 to open a KWallet.

## kwallet-pam 6.5.2+p24.04+vunstable+git20251106.1037

=== debian/changelog ===
kwallet-pam (4:6.5.2+p24.04+vunstable+git20251106.1037-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 10:37:11 +0000

kwallet-pam (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:13:37 +1000

## kwallet-pam 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(pam_kwallet)
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
kwallet-pam (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:23:16 +0100

## kwallet-pam 6.5.3+p24.04+vstable+git20251123.0001

=== debian/changelog ===
kwallet-pam (4:6.5.3+p24.04+vstable+git20251123.0001-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 00:01:15 +0000

kwallet-pam (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:14:26 +1000

## kwallet-pam 6.5.3+p24.04+vunstable+git20251123.0121

=== debian/changelog ===
kwallet-pam (4:6.5.3+p24.04+vunstable+git20251123.0121-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 01:21:18 +0000

## kwallet-pam 6.5.4

=== debian/changelog ===
kwallet-pam (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:17:56 +0000

kwallet-pam (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:07:23 +0000

kwallet-pam (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:12:11 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kwallet-pam
 Section: admin
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
@@ -14,15 +15,15 @@
                libpam0g-dev,
                libxkbcommon-dev,
                pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kwallet-pam
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet-pam.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet-pam
+Rules-Requires-Root: no
 
 Package: libpam-kwallet-common
 Architecture: all
-Depends: socat,
-         ${misc:Depends},
+Depends: socat, ${misc:Depends},
 Description: KWallet integration with PAM (common files)
  The KDE Wallet system provides a secure way to store passwords and other
  secret information, allowing the user to remember only a single KDE Wallet
@@ -33,8 +34,7 @@
 
 Package: libpam-kwallet5
 Architecture: any
-Depends: kwallet6,
-         libpam-kwallet-common (>= ${source:Version}),
+Depends: libpam-kwallet-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: KWallet integration with PAM

## kwallet-pam 6.5.4+p24.04+vunstable+git20251209.1252

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(pam_kwallet)
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
kwallet-pam (4:6.5.4+p24.04+vunstable+git20251209.1252-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 12:52:08 +0000

kwallet-pam (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:22:45 +1000

## kwallet-pam 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(pam_kwallet)
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.5")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
kwallet-pam (4:6.5.5-0zneon+24.04+noble+release+build34) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 21:02:13 +0000

kwallet-pam (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:31:46 +1000

## kwallet-pam 6.5.5+p24.04+vstable+git20260114.0228

=== debian/changelog ===
kwallet-pam (4:6.5.5+p24.04+vstable+git20260114.0228-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 02:28:06 +0000

## kwallet-pam 6.5.5+p24.04+vstable+git20260131.0247

=== debian/changelog ===
kwallet-pam (4:6.5.5+p24.04+vstable+git20260131.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:47:09 +0000

## kwallet-pam 6.5.5+p24.04+vunstable+git20260113.2252

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 project(pam_kwallet)
-set(KF6_MIN_VERSION "6.18.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
kwallet-pam (4:6.5.5+p24.04+vunstable+git20260113.2252-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 22:52:54 +0000

## kwallet-pam 6.6.1

=== debian/changelog ===
kwallet-pam (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:13:52 +0000

kwallet-pam (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:55:38 +0000

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libgcrypt20-dev (>= 1.5.0~),
-               libkf6wallet-dev (>= 6.18.0~),
+               libkf6wallet-dev (>= 6.22.0~),
                libpam0g-dev,
                libxkbcommon-dev,
                pkgconf,

## kwallet-pam 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(pam_kwallet)
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.2")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
kwallet-pam (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:22:15 +0000
